This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 666247 - Weird behaviour of Gnome keyboard preferences (and applet)
Weird behaviour of Gnome keyboard preferences (and applet)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
14
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-29 15:39 EST by Peter Verthez
Modified: 2012-08-16 13:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Verthez 2010-12-29 15:39:47 EST
Description of problem:

See originally my comment in bug 552397, copied here:

I've configured my fedora 14 desktop from the start (at installation) with a
"United Kingdom" keyboard, because my keyboard has a QWERTY layout.  In Gnome I
saw that there was an applet that could allow to switch the keyboard layout
simply via the applet, so I tried that out by adding a "Belgium" (AZERTY)
keyboard.

At that moment I had enabled "Separate layout for each window" accidentally,
and afterwards I disabled it, because I wanted to have the same behaviour for
all windows.   And then I switched back to "United Kingdom" for my normal work.
 However, from then onwards, all new programs that I started automatically
changed the keyboard layout to "Belgium" (and not only for that program, but
for the entire desktop).   Once I manually set it back to "United Kingdom" for
that program, it stayed that way, also when I closed and reopened the program.

After some experimenting, I found that when I changed the order of the keyboard
definitions in the keyboard applet (first "Belgium", then "United Kingdom") I
didn't have that problem.   But when the order is "United Kingdom", "Belgium"
(which I originally had), the problem appears again.

Also, after switching the order to "Belgium", "United Kingdom", selecting the
last one first doesn't register: you have to select the first one again and
then the last one.   After that first time, the selection is ok.
Comment 1 Fedora End Of Life 2012-08-16 13:45:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.